Get Subscription
curl --request GET \
--url https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/subscriptions/{subscriptionId} \
--header 'Authorization: <authorization>'import requests
url = "https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/subscriptions/{subscriptionId}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/subscriptions/{subscriptionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/subscriptions/{subscriptionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/subscriptions/{subscriptionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/subscriptions/{subscriptionId}")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/subscriptions/{subscriptionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"id": "sub_1ABC123DEF456GHI",
"type": "subscription",
"status": "active",
"cancelAtPeriodEndDisplay": "<string>",
"customer": "cus_ABC123XYZ",
"current_period_start": 1700000000,
"current_period_end": 1702600000,
"created": 1700000000,
"collection_method": "charge_automatically",
"cancel_at_period_end": false,
"canceled_at": 123,
"product": {
"id": "prod_ABC123XYZ",
"name": "Pro Plan"
},
"automatic_tax": false,
"coupon": "",
"agents": "Agent 1, Agent 2",
"pricing": {
"amount": "2999",
"billingCycle": "month",
"currency": "usd",
"pricingModel": "base",
"metrics": "minutes",
"usageLimit": 100,
"overage": "15"
},
"totalPrice": 2999,
"totalUsage": 45.5
}{
"error": "An unexpected error occurred"
}Subscriptions
Get Subscription
Retrieve a single subscription for a connected account.
GET
/
stripe
/
connect
/
accounts
/
{accountId}
/
subscriptions
/
{subscriptionId}
Get Subscription
curl --request GET \
--url https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/subscriptions/{subscriptionId} \
--header 'Authorization: <authorization>'import requests
url = "https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/subscriptions/{subscriptionId}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/subscriptions/{subscriptionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/subscriptions/{subscriptionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/subscriptions/{subscriptionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/subscriptions/{subscriptionId}")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/subscriptions/{subscriptionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"id": "sub_1ABC123DEF456GHI",
"type": "subscription",
"status": "active",
"cancelAtPeriodEndDisplay": "<string>",
"customer": "cus_ABC123XYZ",
"current_period_start": 1700000000,
"current_period_end": 1702600000,
"created": 1700000000,
"collection_method": "charge_automatically",
"cancel_at_period_end": false,
"canceled_at": 123,
"product": {
"id": "prod_ABC123XYZ",
"name": "Pro Plan"
},
"automatic_tax": false,
"coupon": "",
"agents": "Agent 1, Agent 2",
"pricing": {
"amount": "2999",
"billingCycle": "month",
"currency": "usd",
"pricingModel": "base",
"metrics": "minutes",
"usageLimit": 100,
"overage": "15"
},
"totalPrice": 2999,
"totalUsage": 45.5
}{
"error": "An unexpected error occurred"
}Headers
Path Parameters
Response
OK
